using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace FingersDance.Control.TimeLine
{
	public partial class UserControlTimeLine
	{
        public Microsoft.Surface.Presentation.Controls.SurfaceSlider Slider
        {
            get {
                return SurfaceSlider;
            }
            set {
                SurfaceSlider = value;
            }
        }
        
		public UserControlTimeLine()
		{
			this.InitializeComponent();

			// Insert code required on object creation below this point.
		}

        private void SurfaceSlider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            /*TimeSpan ts = TimeSpan.FromSeconds(e.NewValue);
            LabelSliderPosition.Content =
                String.Format("{0:00}:{1:00}:{2:00}",
                ts.Hours, ts.Minutes, ts.Seconds);
            SurfaceSlider.Maximum = ts.TotalSeconds;
            SurfaceSlider.SmallChange = 1;
            SurfaceSlider.LargeChange = Math.Min(10, ts.Seconds / 10);*/
        }
	}
}